Subject: Re: bug#78659: [PATCH] Pacify Clang's -Wformat-signedness.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Jun 2025 14:13:30 +0300

> Date: Mon, 2 Jun 2025 11:24:57 -0700
> Cc: [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> 
> On 2025-06-02 00:52, Eli Zaretskii wrote:
> > the question of how to recognize that version still stand.
> 
> That version recognition is done by configure.ac; see its use of 
> gl_GCC_VERSION_IFELSE. Currently the default is to enable warnings (but 
> don't fail the build) with any version of Clang, or with GCC 5.3 or 
> later. We could easily change the default to some other version.

I see.  Should we perhaps have some procedure in place to update the
cutoff version?  Like in make-tarball.txt, perhaps (since releasing a
new version might be a good time to consider updating this)?